curl --request PUT \
--url https://api.hubapi.com/automation/2026-09-beta/flows/{flowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "CONTACT_FLOW",
"revisionId": "<string>",
"isEnabled": true,
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [
{
"branchValue": "<string>"
}
],
"type": "STATIC_BRANCH",
"defaultBranchName": "<string>"
}
],
"timeWindows": [
{}
],
"blockedDates": [
{
"dayOfMonth": 123,
"year": 123
}
],
"customProperties": {},
"suppressionListIds": [
123
],
"canEnrollFromSalesforce": true,
"name": "<string>",
"description": "<string>",
"uuid": "<string>",
"startActionId": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": true,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": true
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
}
}
'import requests
url = "https://api.hubapi.com/automation/2026-09-beta/flows/{flowId}"
payload = {
"type": "CONTACT_FLOW",
"revisionId": "<string>",
"isEnabled": True,
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [{ "branchValue": "<string>" }],
"type": "STATIC_BRANCH",
"defaultBranchName": "<string>"
}
],
"timeWindows": [{}],
"blockedDates": [
{
"dayOfMonth": 123,
"year": 123
}
],
"customProperties": {},
"suppressionListIds": [123],
"canEnrollFromSalesforce": True,
"name": "<string>",
"description": "<string>",
"uuid": "<string>",
"startActionId": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": ["<unknown>"]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": True,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": True
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": True,
"operationType": "BOOL",
"operator": "<string>",
"value": True
},
"property": "<string>"
}
]
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'CONTACT_FLOW',
revisionId: '<string>',
isEnabled: true,
actions: [
{
actionId: '<string>',
inputValue: {actionId: '<string>', dataKey: '<string>', type: 'FIELD_DATA'},
staticBranches: [{branchValue: '<string>'}],
type: 'STATIC_BRANCH',
defaultBranchName: '<string>'
}
],
timeWindows: [{}],
blockedDates: [{dayOfMonth: 123, year: 123}],
customProperties: {},
suppressionListIds: [123],
canEnrollFromSalesforce: true,
name: '<string>',
description: '<string>',
uuid: '<string>',
startActionId: '<string>',
enrollmentCriteria: {
listFilterBranch: {
filterBranchOperator: '<string>',
filterBranchType: 'OR',
filterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'AND',
filterBranches: '<array>',
filters: ['<unknown>']
}
],
filters: [{filterType: 'PROPERTY', operation: '<unknown>', property: '<string>'}]
},
reEnrollmentTriggersFilterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'AND',
filterBranches: '<array>',
filters: [{filterType: 'PROPERTY', operation: '<unknown>', property: '<string>'}]
}
],
shouldReEnroll: true,
type: 'LIST_BASED',
unEnrollObjectsNotMeetingCriteria: true
},
enrollmentSchedule: {timeOfDay: {hour: 123, minute: 123}, type: 'DAILY'},
goalFilterBranch: {
filterBranchOperator: '<string>',
filterBranchType: 'OR',
filterBranches: [
{
filterBranchOperator: '<string>',
filterBranchType: 'AND',
filterBranches: '<array>',
filters: [{filterType: 'PROPERTY', operation: '<unknown>', property: '<string>'}]
}
],
filters: [
{
filterType: 'PROPERTY',
operation: {
includeObjectsWithNoValueSet: true,
operationType: 'BOOL',
operator: '<string>',
value: true
},
property: '<string>'
}
]
},
eventAnchor: {contactProperty: '<string>', type: 'CONTACT_PROPERTY_ANCHOR'}
})
};
fetch('https://api.hubapi.com/automation/2026-09-beta/flows/{flowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "CONTACT_FLOW",
"id": "<string>",
"isEnabled": true,
"revisionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nextAvailableActionId": "<string>",
"actions": [
{
"actionId": "<string>",
"inputValue": {
"actionId": "<string>",
"dataKey": "<string>",
"type": "FIELD_DATA"
},
"staticBranches": [
{
"branchValue": "<string>",
"connection": {
"nextActionId": "<string>"
}
}
],
"type": "STATIC_BRANCH",
"defaultBranch": {
"nextActionId": "<string>"
},
"defaultBranchName": "<string>"
}
],
"timeWindows": [
{
"endTime": {
"hour": 123,
"minute": 123
},
"startTime": {
"hour": 123,
"minute": 123
}
}
],
"blockedDates": [
{
"dayOfMonth": 123,
"year": 123
}
],
"customProperties": {},
"dataSources": [
{
"associationTypeId": 123,
"name": "<string>",
"objectTypeId": "<string>",
"type": "ASSOCIATION",
"sortBy": {
"property": "<string>",
"missing": "<string>"
}
}
],
"suppressionListIds": [
123
],
"canEnrollFromSalesforce": true,
"objectTypeId": "<string>",
"name": "<string>",
"description": "<string>",
"uuid": "<string>",
"startActionId": "<string>",
"enrollmentCriteria": {
"listFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
},
"reEnrollmentTriggersFilterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"shouldReEnroll": true,
"type": "LIST_BASED",
"unEnrollObjectsNotMeetingCriteria": true
},
"enrollmentSchedule": {
"timeOfDay": {
"hour": 123,
"minute": 123
},
"type": "DAILY"
},
"goalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"eventAnchor": {
"contactProperty": "<string>",
"type": "CONTACT_PROPERTY_ANCHOR"
},
"unEnrollmentSetting": {
"flowIds": [
"<string>"
]
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update workflow
Update an existing automation flow in your HubSpot account. This endpoint allows you to modify the properties of a specific flow identified by its flowId. It is useful for making changes to the configuration or behavior of an automation flow.
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
The unique identifier of the flow to update.
ボディ
- Option 1
- Option 2
CONTACT_FLOW, PLATFORM_FLOW - STATIC_BRANCH
- LIST_BRANCH
- AB_TEST_BRANCH
- CUSTOM_CODE
- WEBHOOK
- SINGLE_CONNECTION
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- LIST_BASED
- EVENT_BASED
- MANUAL
- DATASET
Show child attributes
Show child attributes
- DAILY
- WEEKLY
- MONTHLY_SPECIFIC_DAYS
- MONTHLY_RELATIVE_DAYS
- YEARLY
- PROPERTY_BASED
Show child attributes
Show child attributes
- OR
- AND
- NOT_ALL
- NOT_ANY
- RESTRICTED
- UNIFIED_EVENTS
- PROPERTY_ASSOCIATION
- ASSOCIATION
Show child attributes
Show child attributes
- CONTACT_PROPERTY_ANCHOR
- STATIC_DATE_ANCHOR
Show child attributes
Show child attributes
Show child attributes
Show child attributes
レスポンス
successful operation
- Option 1
- Option 2
CONTACT_FLOW, PLATFORM_FLOW WORKFLOW, ACTION_SET, UNKNOWN - STATIC_BRANCH
- LIST_BRANCH
- AB_TEST_BRANCH
- CUSTOM_CODE
- WEBHOOK
- SINGLE_CONNECTION
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- ASSOCIATION
- ASSOCIATION_TIMESTAMP
- STATIC_PROPERTY_FILTER
- ENROLLED_RECORD_PROPERTY_FILTER
- DATASET_FIELD_PROPERTY_FILTER
- ENROLLED_ARGUMENT_PROPERTY_FILTER
Show child attributes
Show child attributes
PENDING, COMPLETE - LIST_BASED
- EVENT_BASED
- MANUAL
- DATASET
Show child attributes
Show child attributes
- DAILY
- WEEKLY
- MONTHLY_SPECIFIC_DAYS
- MONTHLY_RELATIVE_DAYS
- YEARLY
- PROPERTY_BASED
Show child attributes
Show child attributes
- OR
- AND
- NOT_ALL
- NOT_ANY
- RESTRICTED
- UNIFIED_EVENTS
- PROPERTY_ASSOCIATION
- ASSOCIATION
Show child attributes
Show child attributes
- CONTACT_PROPERTY_ANCHOR
- STATIC_DATE_ANCHOR
Show child attributes
Show child attributes
Show child attributes
Show child attributes